1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Nhà cung cấp
    • v1
      • Get & Search suppliers
      • Get suppliers products
  • Lịch khởi hành
    • v1
      • Get all tour
        GET
      • Create tour
        POST
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Create tour

POST
/api/v1/tours
Tạo lịch khởi hành

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "name": "Tour Lặn Biển Nha Trang 3N2Đ (Khởi hành 30/04)",
    "tour_code": "NT3N2D-300426",
    "type": "join",
    "product_id": 5,
    "total_seat": 25,
    "depart": "30/04/2026",
    "return": "02/05/2026",
    "not_over_seat": 1,
    "keep_time": 24,
    "branch_office_id": 1,
    "currency": "vnd",
    "exchange_rate": 1,
    "tour_car": [
        "16",
        "29"
    ],
    "followers": [
        "op1@example.com",
        "op2@example.com"
    ],
    "price_rules": [
        {
            "price_rule_id": 1,
            "price": 2500000,
            "description": "Giá tiêu chuẩn cho NL",
            "number_of_seat": 1,
            "unit": "Người lớn"
        },
        {
            "price_rule_id": 2,
            "price": 1250000,
            "description": "Giá TE dưới 1m2",
            "number_of_seat": 1,
            "unit": "Trẻ em"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://demo.tourwell.net/api/v1/tours' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Tour Lặn Biển Nha Trang 3N2Đ (Khởi hành 30/04)",
    "tour_code": "NT3N2D-300426",
    "type": "join",
    "product_id": 5,
    "total_seat": 25,
    "depart": "30/04/2026",
    "return": "02/05/2026",
    "not_over_seat": 1,
    "keep_time": 24,
    "branch_office_id": 1,
    "currency": "vnd",
    "exchange_rate": 1,
    "tour_car": [
        "16",
        "29"
    ],
    "followers": [
        "op1@example.com",
        "op2@example.com"
    ],
    "price_rules": [
        {
            "price_rule_id": 1,
            "price": 2500000,
            "description": "Giá tiêu chuẩn cho NL",
            "number_of_seat": 1,
            "unit": "Người lớn"
        },
        {
            "price_rule_id": 2,
            "price": 1250000,
            "description": "Giá TE dưới 1m2",
            "number_of_seat": 1,
            "unit": "Trẻ em"
        }
    ]
}'

Responses

🟢201
application/json
Body

Example
{
    "success": true,
    "message": "Tour created successfully",
    "data": {
        "id": 1087,
        "name": "Tour Lặn Biển Nha Trang 3N2Đ (Khởi hành 30/04)",
        "code": "NT3N2D-300426"
    }
}
Modified at 2026-03-22 15:39:08
Previous
Get all tour
Next
Overview
Built with